import request from '@/utils/request'
// 获取接入方管理列表
export function getTabAccessList (query) {
  return request({
    url: '/web/tab-access/getTabAccessList',
    method: 'get',
    params: query
  })
}

export function addTabAccessList (data) {
  return request({
    url: '/web/tab-access/insertTabAccess',
    method: 'post',
    data: data
  })
}
export function updateTabAccessList (data) {
  return request({
    url: '/web/tab-access/updateTabAccessById',
    method: 'put',
    data: data
  })
}

export function viewTabAccessList (id) {
  return request({
    url: `/web/tab-access/getTabAccessById/${id}`,
    method: 'get',
  })
}

export function delTabAccessList (data) {
  return request({
    url: `/web/tab-access/falseDeleteTabAccessById`,
    method: 'put',
    data:data
  })
}

export function exportTabAccessList () {
  return request({
    url: `/web/tab-access/export`,
    method: 'post',
  })
}

export function importDataTabAccessList () {
  return request({
    url: `/web/tab-access/importData`,
    method: 'post',
  })
}